import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  data: z.union([JsonNullValueInputSchema, jsonSchema]).optional()
}).strict();
export const ProcedureTimeslotUpdateWithoutUserInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotUpdateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotUpdateWithoutUserInput>;
export const ProcedureTimeslotUpdateWithoutUserInputObjectZodSchema = makeSchema();
